Subject: AD review of draft-ietf-rap-feedback-fr-pib-03.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 1 Oct 2002 22:02:27 +0200

I am addressing Diana, assuming other co-authors/editors
will see the copy on the RAP wg mailing list.

I had already commented:

> > the following draft to the IESG for consideration as a 
> > standards track RFC:
> > http://www.ietf.org/internet-drafts/draft-ietf-rap-feedback-fr-pib-03.txt
> 
>The 2nd one I still need to review, will try to post later today or
>tomorrow.

Sorry... took some more time

> My main question is if we want to go through a similar process as we did
> for the earlier PIBs, or if the WG rather decides that this PIB can be
> also informational, just as the Framework PIB and the Diffserv PIB.
>
The discussion with WG chair and my co-AD leaves me at the position
that I will not consider the PIB for STDs track, but instead will 
handle it for Informational, with the same concerns as reaised with
earlier PIBs. That situation has not changed.

Further comments to this document:

- mmm.. the module-identity is named:  feedbackPolFrameworkPib
  then all the rest of the PIB objects/classes/attrs are prefixed
  with frwkFeedback. WOuld it no be best to keep the prefix of the
  MIB module and the others the same.
- I am missing a REVISION clause in the MODULE-IDENTITY macro
- I do not think that labels for enumerations canstart with Uppercase
  and have underscores
- In some cases I see in a description clause of a table or entry
  "class", or sometimes "table" or sometimes "pri" or "prc"...
  I would strongly recommend to stick to one term and use that.
  We had similar problems back when we reviewed diffserv and framework
  PIBs. Pls check with those and use same terminology.
- frwkFeedbackActionListEntry in desxription clause:
   "This class identifies a set of linkage instances..."
  mmm.. I guess the table defines a "set", but am entry is one
  instance of the class, no? probably just language.
- Not sure if it is me, but I do not understand the DESCRIPTION
  clauses of frwkFeedbackActionListGroup and frwkFeedbackActionListRefID
  How does that work? Can you be more elaborate so I can understand
- can you explain (in the description clause) how the seOID is used
  for the selection process for object/attribute 
  frwkFeedbackSelUsageComboCapsSelection
- Is the example code in description clause of 
   frwkFeedbackTrafficThresholdTable actually C code or is it
   pseudo code? And where do these fields that you are checking
   come from ?? Is NULL a NULL ptr or the zero value?
   Would be best to be clear on those questions.
- I see: 
   frwkFeedbackTrafficUsagePacketCount OBJECT-TYPE    
        SYNTAX       Counter64 
        STATUS       current    

        DESCRIPTION    
                  "The count of packets handled by the associated 
                   element during the reporting interval."    
   but a Counter64 has Counter64 semantics and has nothing to do with
   an interval. See RFC2578 definition of Counter64.
-  A bit later in the PIB you do so again, e.g. another occurance
- I see no MODULE COMPLIANCE statement in the PIB !!??
- the security considerations section does not prescribe which
  of the possible security mechanisms MUST be supported. But
  possibly is met by the specs RFC2748 and 3084. If you agree, then
  you should instead say that that is the case and point to those
  RFCs as normative references.
  But the security section needs to list details about which classes
  and or attributes are sensitive and why. Security ADs will look
  for that.

- and last but not least, sending this to SMILINT for a compile
  check I get a very long list of errors and warnings. Probably
  some are no problem.. but I see that quite a few are srious
  problems. Please fix.
  How can the WG have aggreed that this PIB doc is ready for 
  consideration as PS ??
 
admin/bureaucratic/editorial/nits:
- there are so called Redmond characters (e.g. non-ascii) in th
  text. Pls fix to plain ascii
- RFC Editor does not want acronyms in title and/or abstract
  See: http://www.rfc-editor.org/policy.html
- I think it is more commom to have the "conventions used in this document"
  (that is the use of MUST language and such) after the TOC
- in the example on page 8-0, you use xxxEntry and xxx PRC terminology
  Might be better to choose one and stick to that, no?
- sect 3.2 at the end (i.e. top of page 10)
  missing 2) ??
- would be good to add WG mailing list infor in CONTACT info
  I also see only 4 of the 5 authors in the contact info.
  that is fine with me... but ??
- frwkFeedbackActionEntry has in description:
   "An instance of this class can indicates a action...'
  proper english?
- references must be split in normative and informative, again 
  see: http://www.rfc-editor.org/policy.html
- I see no IANA considerations to request assignment of the PIB oid
- I am missing an IPR section as per RFC2026 sect 10.

Bert
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: dinsdag 1 oktober 2002 21:21
To: Wijnen, Bert (Bert)
Subject: Re: check feedback pib rev 03

output of smilint -l 9 follows,
empty output means everything is fine.
--start--
6: identifier `ExtUTCTime' cannot be imported from module `COPS-PR-SPPI'
105: identifier `SUSPEND_USAGE_MONITORING_AND_REPORTS' must not contain an underscore
105: parse error, unexpected UPPERCASE_IDENTIFIER, expecting LOWERCASE_IDENTIFIER
106: identifier `SUSPEND_REPORTS_ONLY' must not contain an underscore
108: identifier `RESUME_USAGE_AND_REPORTING' must not contain an underscore
109: identifier `SOLICIT_USAGE_REPORT_NOW' must not contain an underscore
110: warning: flushing recent incorrect declaration, see previous error(s)
111: parse error, unexpected STATUS
122: warning: flushing recent incorrect declaration, see previous error(s)
215: warning: object identifier name `frwkFeedbackSelUsageComboCapsTable' longer than 32 characters
225: warning: object identifier name `frwkFeedbackSelUsageComboCapsEntry' longer than 32 characters
241: warning: type name `FrwkFeedbackSelUsageComboCapsEntry' longer than 32 characters
257: warning: object identifier name `frwkFeedbackSelUsageComboCapsSelection' longer than 32 characters
265: warning: object identifier name `frwkFeedbackSelUsageComboCapsUsage' longer than 32 characters
275: warning: object identifier name `frwkFeedbackSelUsageComboCapsThreshold' longer than 32 characters
289: parse error, unexpected UPPERCASE_IDENTIFIER, expecting LOWERCASE_IDENTIFIER
296: warning: flushing recent incorrect declaration, see previous error(s)
399: warning: object identifier name `frwkFeedbackTrafficThresholdTable' longer than 32 characters
401: parse error, unexpected UPPERCASE_IDENTIFIER, expecting LOWERCASE_IDENTIFIER
420: warning: flushing recent incorrect declaration, see previous error(s)
422: warning: object identifier name `frwkFeedbackTrafficThresholdEntry' longer than 32 characters
432: warning: type name `FrwkFeedbackTrafficThresholdEntry' longer than 32 characters
434: SPPI basetype `Integer64' must be imported from COPS-PR-SPPI
435: SPPI basetype `Integer64' must be imported from COPS-PR-SPPI
446: warning: object identifier name `frwkFeedbackTrafficThresholdPacketThreshold' longer than 32 characters
448: SPPI basetype `Integer64' must be imported from COPS-PR-SPPI
455: warning: object identifier name `frwkFeedbackTrafficThresholdByteThreshold' longer than 32 characters
457: SPPI basetype `Integer64' must be imported from COPS-PR-SPPI
518: warning: object identifier name `frwkFeedbackTrafficUsageLinkRefID' longer than 32 characters
528: warning: object identifier name `frwkFeedbackTrafficUsagePacketCount' longer than 32 characters
538: warning: object identifier name `frwkFeedbackTrafficUsageByteCount' longer than 32 characters
594: warning: object identifier name `frwkFeedbackIfTrafficUsageLinkRefID' longer than 32 characters
603: warning: object identifier name `frwkFeedbackIfTrafficUsageIfIndex' longer than 32 characters
613: warning: object identifier name `frwkFeedbackIfTrafficUsagePacketCount' longer than 32 characters
621: warning: object identifier name `frwkFeedbackIfTrafficUsageByteCount' longer than 32 characters
641: warning: object identifier name `frwkFeedbackRoleComboFilterSelTable' longer than 32 characters
651: warning: object identifier name `frwkFeedbackRoleComboFilterSelEntry' longer than 32 characters
666: warning: type name `FrwkFeedbackRoleComboFilterSelEntry' longer than 32 characters
682: warning: object identifier name `frwkFeedbackRoleComboFilterSelRoleComboRefID' longer than 32 characters
692: warning: object identifier name `frwkFeedbackRoleComboFilterSelBaseFilterRefID' longer than 32 characters
701: warning: object identifier name `frwkFeedbackRoleComboFilterSelIP-802FilterRefID' longer than 32 characters
54: unknown object identifier label `pib'
16: node's parent node must be simple node
87: warning: SEQUENCE element #4 `frwkFeedbackActionList' is not a child node under `frwkFeedbackActionEntry'
89: unknown object identifier label `frwkFeedbackActionIndicator'
136: type `TagReferenceId' of node `frwkFeedbackActionList' does not resolve to a known base type
191: type `TagId' of node `frwkFeedbackActionListGroup' does not resolve to a known base type
298: row's parent node must be a table node
327: type `Prid' of node `frwkFeedbackLinkSel' does not resolve to a known base type
308: unknown object identifier label `frwkFeedbackLinkTable'
359: type `Prid' of node `frwkFeedbackLinkThreshold' does not resolve to a known base type
430: unknown object identifier label `frwkFeedbackTrafficThresholdTable'
422: row's parent node must be a table node
684: unknown object identifier label `frwkRoleComboEntry'
694: unknown object identifier label `frwkBaseFilterEntry'
703: unknown object identifier label `frwkIpFilterEntry'
94: warning: attribute `frwkFeedbackActionId' must be contained in at least one conformance group
124: warning: attribute `frwkFeedbackActionSpecificPri' must be contained in at least one conformance group
136: warning: attribute `frwkFeedbackActionList' must be contained in at least one conformance group
191: warning: attribute `frwkFeedbackActionListGroup' must be contained in at least one conformance group
182: warning: attribute `frwkFeedbackActionListId' must be contained in at least one conformance group
199: warning: attribute `frwkFeedbackActionListRefID' must be contained in at least one conformance group
248: warning: attribute `frwkFeedbackSelUsageComboCapsId' must be contained in at least one conformance group
257: warning: attribute `frwkFeedbackSelUsageComboCapsSelection' must be contained in at least one conformance group
265: warning: attribute `frwkFeedbackSelUsageComboCapsUsage' must be contained in at least one conformance group
275: warning: attribute `frwkFeedbackSelUsageComboCapsThreshold' must be contained in at least one conformance group
319: warning: attribute `frwkFeedbackLinkId' must be contained in at least one conformance group
327: warning: attribute `frwkFeedbackLinkSel' must be contained in at least one conformance group
338: warning: attribute `frwkFeedbackLinkUsage' must be contained in at least one conformance group
347: warning: attribute `frwkFeedbackLinkInterval' must be contained in at least one conformance group
359: warning: attribute `frwkFeedbackLinkThreshold' must be contained in at least one conformance group
368: warning: attribute `frwkFeedbackLinkFlags' must be contained in at least one conformance group
438: warning: attribute `frwkFeedbackTrafficThresholdId' must be contained in at least one conformance group
446: warning: attribute `frwkFeedbackTrafficThresholdPacketThreshold' must be contained in at least one conformance group
455: warning: attribute `frwkFeedbackTrafficThresholdByteThreshold' must be contained in at least one conformance group
510: warning: attribute `frwkFeedbackTrafficUsageId' must be contained in at least one conformance group
518: warning: attribute `frwkFeedbackTrafficUsageLinkRefID' must be contained in at least one conformance group
528: warning: attribute `frwkFeedbackTrafficUsagePacketCount' must be contained in at least one conformance group
538: warning: attribute `frwkFeedbackTrafficUsageByteCount' must be contained in at least one conformance group
586: warning: attribute `frwkFeedbackIfTrafficUsageId' must be contained in at least one conformance group
594: warning: attribute `frwkFeedbackIfTrafficUsageLinkRefID' must be contained in at least one conformance group
603: warning: attribute `frwkFeedbackIfTrafficUsageIfIndex' must be contained in at least one conformance group
613: warning: attribute `frwkFeedbackIfTrafficUsagePacketCount' must be contained in at least one conformance group
621: warning: attribute `frwkFeedbackIfTrafficUsageByteCount' must be contained in at least one conformance group
674: warning: attribute `frwkFeedbackRoleComboFilterSelId' must be contained in at least one conformance group
682: the PIB-REFERENCES does not point to a row
682: warning: attribute `frwkFeedbackRoleComboFilterSelRoleComboRefID' must be contained in at least one conformance group
692: the PIB-REFERENCES does not point to a row
692: warning: attribute `frwkFeedbackRoleComboFilterSelBaseFilterRefID' must be contained in at least one conformance group
701: the PIB-REFERENCES does not point to a row
701: warning: attribute `frwkFeedbackRoleComboFilterSelIP-802FilterRefID' must be contained in at least one conformance group
92: unknown type `TagReferenceId'
178: unknown type `TagId'
312: unknown type `Prid'
4: warning: identifier `Unsigned32' imported from module `COPS-PR-SPPI' is never used
4: warning: identifier `Unsigned64' imported from module `COPS-PR-SPPI' is never used
7: warning: identifier `TEXTUAL-CONVENTION' imported from module `SNMPv2-TC' is never used
--end--